Redmine - Feature #38542

Better username completion in the editor
2023-05-12 13:51 - Hendrik Jaeger

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Hi

in #38511 someone tried to highlight me but since my name is "Hendrik Jager" and only this part is actually displayed, they chose the
obvious but wrong highlight (at)Hendrik, which is not me but "Hendrik Adam" (I'm (at)henk).

It would be nice to have better completion for this. The mechanism for completing ticket numbers with the popup would be well suited
but it would have to search for both login-names and real-names.

Thanks for considering!

Related issues:
Is duplicate of Redmine - Feature #13919: Mention user on issues and wiki pag... Closed

History

#1 - 2023-05-13 05:37 - Go MAEDA
- File clipboard-202305131222-v0ygz.png added
Hendrik Jaeger wrote:
It would be nice to have better completion for this. The mechanism for completing ticket numbers with the popup would be well suited but it

would have to search for both login-names and real-names.

It was already implemented in Redmine 5.0.0 (Feature #13919: Mention user on issues and wiki pages using @user with autocomplete). However,
the version of Redmine used in www.redmine.org does not support the feature.

clipboard-202305131222-v0ygz.png
#2 - 2023-05-14 14:03 - Hendrik Jaeger
Go MAEDA wrote in #note-1:
Hendrik Jaeger wrote:

It would be nice to have better completion for this. The mechanism for completing ticket numbers with the popup would be well suited but it
would have to search for both login-names and real-names.

It was already implemented in Redmine 5.0.0 (Eeature #13919: Mention user on issues and wiki pages using @user with autocomplete).
However, the version of Redmine used in www.redmine.org does not support the feature.

clipboard-202305131222-v0ygz.png

oh, cool, thanks. This issue can be closed, then, | guess?

#3 - 2023-05-15 14:07 - Go MAEDA

- Is duplicate of Feature #13919: Mention user on issues and wiki pages using @user with autocomplete added

#4 - 2023-05-15 14:07 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate
